cd "/Users/kcb38/Dropbox/Legacies project/data/EASreplication"

insheet using "indivlevel_EASreplication.csv", clear

**************CdI Individual-level Analyses **************

*svyset the data for use of sampling weights
keep if bmi_missing==0
gen psu_wave=psu+(wave*1000)
gen stratum_wave=stratum+(wave*100)
svyset psu_wave [pw=samplewt_rw], strata(stratum_wave)


*Table 1 Descriptives
sum i_underweight ln_sumdeaths ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i_pregbirth i_age i_watertime i_education i_visitor if wave!=2

* Model 2.1
svy: reg i_underweight ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using malnourish_res_base, replace keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave) word

*Model 2.2
svy: reg i_underweight ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean droughtyr_spi i.wave i.gid i_pregbirth i_age i_watertime i_education i_visitor if wave!=2
*outreg2 using malnourish_res_base, keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave i_pregbirth i_age i_watertime i_education i_visitor) word

*Figure 2 substantive effects
svy: reg i_underweight ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean  droughtyr_spi i.wave i.gid if wave!=2
margins, at(ln_sumtroops=(0(1)9) ln_sumdeaths=(0 6.831954) ln_sumdeaths_nbrs=(0) ln_sumtroops_nbrs=(0) nlights_calib_mean=(.0667584))
marginsplot, level(90) ci1opts(lp(dash) lcolor(gs8)) ci2opts(lp(dash) lcolor(gs0)) recastci(rline) xlabel(0(1)9, angle(horizontal)) xtitle(Logged Peacekeeping Troops Locally) ytitle(Predicted Probability of Underweight) title("") note("Note: solid lines are predicted values, dashed lines are 90% confidence intervals") plot1op(ms(i)  lcolor(gs8) lwidth(vthick) lpattern(solid)) plot2op(ms(i)  lcolor(gs0) lwidth(vthick) lpattern(solid)) legend(label(1 "No battle deaths") label(2 "Max battle deaths")) scheme(s1color)
*graph save underweight_bd_pko.gph, replace
*graph export underweight_bd_pko.jpg, replace


*Model 3.1
svy: reg i_underweight ln_sumdeaths_placebo ln_sumtroops_placebo c.ln_sumdeaths_placebo#c.ln_sumtroops_placebo ln_sumdeaths_nbrs_placebo ln_sumtroops_nbrs_placebo nlights_calib_mean droughtyr_spi i.wave i.gid if wave!=3
*outreg2 using malnourish_placebo, keep(ln_sumdeaths_placebo ln_sumtroops_placebo c.ln_sumdeaths_placebo#c.ln_sumtroops_placebo ln_sumdeaths_nbrs_placebo ln_sumtroops_nbrs_placebo  nlights_calib_mean  droughtyr_spi i.wave) replace word

*Model A1.1
svy: logit i_underweight ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using underweight_logit, replace keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave) word

*Model A1.2
svy: logit i_underweight ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean droughtyr_spi i.wave i.gid i_pregbirth i_age i_watertime i_education i_visitor if wave!=2
*outreg2 using underweight_logit, keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave i_pregbirth i_age i_watertime i_education i_visitor) word

*Model A2.1
svy: reg i_underweight i.anytroops_const#i.wave if wave !=3
*outreg2 using malnourish_wavecomp,  replace word
*test 0.anytroops_const#2.wave=1.anytroops_const#2.wave-1.anytroops_const#1.wave

*Model A3.1
svy: reg i_underweight ln_sumdeaths_89_09 ln_sumtroops_04_09 c.ln_sumdeaths_89_09#c.ln_sumtroops_04_09 ln_sumdeaths_10_12 ln_sumtroops_10_12 c.ln_sumdeaths_10_12#c.ln_sumtroops_10_12 ln_sumdeaths_nbrs_89_09 ln_sumtroops_nbrs_04_09 ln_sumdeaths_nbrs_10_12 ln_sumtroops_nbrs_10_12  nlights_calib_mean  droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using malnourish_res_appendix, replace keep(ln_sumdeaths_89_09 ln_sumtroops_04_09 c.ln_sumdeaths_89_09#c.ln_sumtroops_04_09 ln_sumdeaths_10_12 ln_sumtroops_10_12 c.ln_sumdeaths_10_12#c.ln_sumtroops_10_12 ln_sumdeaths_nbrs_89_09 ln_sumtroops_nbrs_04_09 ln_sumdeaths_nbrs_10_12 ln_sumtroops_nbrs_10_12  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A4.1
svy: reg i_underweight ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops unpoldummy ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean  droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using malnourish_res_appendix, keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops unpoldummy ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A5.1
svy: reg i_work ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean  droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using resources_work, replace keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A5.2
svy: reg i_underweight i_work ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using resources_work, keep(i_work ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A6.1
svy: reg i_head ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean  droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using resources_house, replace keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A6.2
svy: reg i_househead_fem ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean  droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using resources_house, keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A6.3
svy: ologit i_children5 ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean  droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using resources_house, keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A6.4
svy: reg i_householdsize ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean  droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using resources_house, keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A6.5
svy: reg i_visitor ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean i.wave  droughtyr_spi i.gid if wave!=2
*outreg2 using resources_house, keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A7.1
svy: reg i_sibdeaths10 ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using trauma_res, replace keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A7.2
svy: reg i_widow ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using trauma_res, keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A7.3
svy: reg i_childrendie ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using trauma_res, keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word

*Model A7.4
svy: reg i_familydeaths ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs nlights_calib_mean droughtyr_spi i.wave i.gid if wave!=2
*outreg2 using trauma_res, keep(ln_sumdeaths ln_sumtroops c.ln_sumdeaths#c.ln_sumtroops ln_sumdeaths_nbrs ln_sumtroops_nbrs  nlights_calib_mean  droughtyr_spi i.wave) word



***************Cross-National Analyses*****************************

insheet using "cross-national_EASreplication.csv", clear


*******
*Models
********

encode country, gen(country_id)
xtset country_id year


*4.1 
xtreg s.energy_adequacy c.bd_best_10yrs_ln i.pko c.bd_best_10yrs_ln#i.pko l.ln_gdppc ls.ln_gdppc l.urbanpop_ratio ls.urbanpop_ratio, fe cluster(country_id)
*outreg2 using fao_crossnational, replace word

*4.2
xtreg s.cereals_tonnes_produced c.bd_best_10yrs_ln i.pko c.bd_best_10yrs_ln#i.pko l.ln_gdppc ls.ln_gdppc l.urbanpop_ratio ls.urbanpop_ratio, fe cluster(country_id)
*outreg2 using fao_crossnational,  word

*4.3
xtreg s.meat_tonnes_produced c.bd_best_10yrs_ln i.pko c.bd_best_10yrs_ln#i.pko l.ln_gdppc ls.ln_gdppc l.urbanpop_ratio ls.urbanpop_ratio, fe cluster(country_id)
*outreg2 using fao_crossnational,  word



